#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working /dev/dsp)

%define		pdir	Audio
%define		pnam	DSP
Summary:	Audio::DSP Perl module - interface to *NIX digital audio device
Summary(pl.UTF-8):	Moduł Perla Audio::DSP - interfejs do uniksowego cyfrowego urządzenia cyfrowego dźwiękowego
Name:		perl-Audio-DSP
Version:	0.02
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7c3027a732d14665d4ffec0aff4b548e
URL:		http://search.cpan.org/dist/Audio-DSP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio::DSP is built around the OSS (Open Sound System) API and allows
Perl to interface with a digital audio device. The Audio::DSP object
stores I/O parameters and also supplies temporary storage for raw
audio data.

%description -l pl.UTF-8
Moduł Audio::DSP jest oparty na API systemu OSS (Open Sound System) i
pozwala Perlowi na dostęp do urządzenia cyfrowego dźwięku. Obiekt
Audio::DSP przechowuje parametry wejścia/wyjścia oraz tymczasowo
surowe dane dźwiękowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Audio/DSP.pm
%dir %{perl_vendorarch}/auto/Audio/DSP
%{perl_vendorarch}/auto/Audio/DSP/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/DSP/*.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-DSP.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 1da63b3
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> fa367c7
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> bffd64a
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f3dca62
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 10b7039
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> b1764ba
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0a4f26c
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4dd3aeb
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 337dbdb
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 93abee0
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 677f54b
- x32 rebuild
- release 9 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 4204007
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8cae853
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0fe28b9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 34aeee8
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f6beba9
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> acf2a41
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> eaa624b
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 68bf3c4
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8b7fd6b
- tabs in preamble

